API

Get effective device configuration

Returns the server-resolved configuration for the authenticated device.

GET/v1/hq/devices/{device_id}/configuration

Authorization

BearerTokenAuth

AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

device_id*string

Response Body

application/json

curl -X GET "https://api.noona.is/v1/hq/devices/string/configuration"
{
  "company": "string",
  "company_name": "string",
  "company_profile_image": "string",
  "company_cover_image": "string",
  "terminal": "string",
  "success_message": "string"
}
Empty
Empty
Empty
Empty